/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.cache.options.cachemodelocal;

import org.jboss.cache.TreeCache;
import org.jboss.cache.misc.TestingUtil;
import junit.textui.TestRunner;

public class SyncReplOptLocksTest extends CacheModeLocalTestBase
{
    public SyncReplOptLocksTest()
    {
        cacheMode = TreeCache.REPL_SYNC;
        nodeLockingScheme = "OPTIMISTIC";
    }

    protected void delay()
    {
        TestingUtil.sleepThread(250);
    }

    public static void main(String[] args)
    {
        TestRunner.run(SyncReplOptLocksTest.class);
    }
}
